# eric4.UI.LogView

Module implementing the log viewer widget and the log widget.

### Global Attributes

None

### Classes

LogViewer | Class providing a specialized text edit for displaying logging information.

### Functions

None

## LogViewer

Class providing a specialized text edit for displaying logging information.

### Derived from

QTextEdit

### Class Attributes

None

### Class Methods

None

### Methods

LogViewer | Constructor
__appendText | Public method to append text to the end.
__configure | Private method to open the configuration dialog.
__handleShowContextMenu | Private slot to show the context menu.
appendToStderr | Public slot to appand text to the "stderr" tab.
appendToStdout | Public slot to appand text to the "stdout" tab.
preferencesChanged | Public slot to handle a change of the preferences.

### Static Methods

None

#### LogViewer (Constructor)

LogViewer(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### LogViewer.__appendText

__appendText(txt, error = False)

Public method to append text to the end.

txt
  text to insert (QString)
error
  flag indicating to insert error text (boolean)

#### LogViewer.__configure

__configure()

Private method to open the configuration dialog.

#### LogViewer.__handleShowContextMenu

__handleShowContextMenu(coord)

Private slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### LogViewer.appendToStderr

appendToStderr(txt)

Public slot to appand text to the "stderr" tab.

txt
  text to be appended (string or QString)

#### LogViewer.appendToStdout

appendToStdout(txt)

Public slot to appand text to the "stdout" tab.

txt
  text to be appended (string or QString)

#### LogViewer.preferencesChanged

preferencesChanged()

Public slot to handle a change of the preferences.

Up